# pion::net::WebServer::WebServiceException Class Reference

`#include <WebServer.hpp>`

Inherits pion::PionException.

List of all members.

## Detailed Description

exception used to propagate exceptions thrown by web services

Definition at line 66 of file WebServer.hpp.

## Public Member Functions

| WebServiceException (const std::string &resource, const std::string &file)

The documentation for this class was generated from the following file:

- net/include/pion/net/WebServer.hpp